Changeset 1208


Ignore:
Timestamp:
Aug 1, 2009 1:27:35 PM (10 years ago)
Author:
stefan
Message:

cbc does not make use of symphony

Location:
stable/BSPsplit
Files:
11 edited

Legend:

Unmodified
Added
Removed
  • stable/BSPsplit/Cbc/Makefile.in

    r1206 r1208  
    211211COIN_HAS_SPX_FALSE = @COIN_HAS_SPX_FALSE@
    212212COIN_HAS_SPX_TRUE = @COIN_HAS_SPX_TRUE@
    213 COIN_HAS_SYMPHONY_FALSE = @COIN_HAS_SYMPHONY_FALSE@
    214 COIN_HAS_SYMPHONY_PREINSTALLED_FALSE = @COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@
    215 COIN_HAS_SYMPHONY_PREINSTALLED_TRUE = @COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@
    216 COIN_HAS_SYMPHONY_TRUE = @COIN_HAS_SYMPHONY_TRUE@
    217213COIN_HAS_VOL_FALSE = @COIN_HAS_VOL_FALSE@
    218214COIN_HAS_VOL_PREINSTALLED_FALSE = @COIN_HAS_VOL_PREINSTALLED_FALSE@
     
    318314SPXLIB = @SPXLIB@
    319315STRIP = @STRIP@
    320 SYMPHONYDATADIR = @SYMPHONYDATADIR@
    321 SYMPHONYDOCDIR = @SYMPHONYDOCDIR@
    322 SYMPHONYINSTDIR = @SYMPHONYINSTDIR@
    323 SYMPHONYOBJDIR = @SYMPHONYOBJDIR@
    324 SYMPHONYSRCDIR = @SYMPHONYSRCDIR@
    325316VERSION = @VERSION@
    326317VOLDATADIR = @VOLDATADIR@
  • stable/BSPsplit/Cbc/configure

    r1206 r1208  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS CBCSRCDIR CBCOBJDIR CBCDOCDIR CBCDATADIR CBCINSTDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE COIN_HAS_CBC_PREINSTALLED_TRUE COIN_HAS_CBC_PREINSTALLED_FALSE CGLSRCDIR CGLOBJDIR CGLDOCDIR CGLDATADIR CGLINSTDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE COIN_HAS_CGL_PREINSTALLED_TRUE COIN_HAS_CGL_PREINSTALLED_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR CLPDATADIR CLPINSTDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COIN_HAS_CLP_PREINSTALLED_TRUE COIN_HAS_CLP_PREINSTALLED_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COINUTILSDATADIR COINUTILSINSTDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE COIN_HAS_COINUTILS_PREINSTALLED_TRUE COIN_HAS_COINUTILS_PREINSTALLED_FALSE DYLPSRCDIR DYLPOBJDIR DYLPDOCDIR DYLPDATADIR DYLPINSTDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE COIN_HAS_DYLP_PREINSTALLED_TRUE COIN_HAS_DYLP_PREINSTALLED_FALSE OSISRCDIR OSIOBJDIR OSIDOCDIR OSIDATADIR OSIINSTDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE COIN_HAS_OSI_PREINSTALLED_TRUE COIN_HAS_OSI_PREINSTALLED_FALSE VOLSRCDIR VOLOBJDIR VOLDOCDIR VOLDATADIR VOLINSTDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE COIN_HAS_VOL_PREINSTALLED_TRUE COIN_HAS_VOL_PREINSTALLED_FALSE SYMPHONYSRCDIR SYMPHONYOBJDIR SYMPHONYDOCDIR SYMPHONYDATADIR SYMPHONYINSTDIR COIN_HAS_SYMPHONY_TRUE COIN_HAS_SYMPHONY_FALSE COIN_HAS_SYMPHONY_PREINSTALLED_TRUE COIN_HAS_SYMPHONY_PREINSTALLED_FALSE SAMPLESRCDIR SAMPLEOBJDIR SAMPLEDOCDIR SAMPLEDATADIR SAMPLEINSTDIR COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE COIN_HAS_SAMPLE_PREINSTALLED_TRUE COIN_HAS_SAMPLE_PREINSTALLED_FALSE MIPLIB3SRCDIR MIPLIB3OBJDIR MIPLIB3DOCDIR MIPLIB3DATADIR MIPLIB3INSTDIR COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE COIN_HAS_MIPLIB3_PREINSTALLED_TRUE COIN_HAS_MIPLIB3_PREINSTALLED_FALSE ASLSRCDIR ASLOBJDIR ASLDOCDIR ASLDATADIR ASLINSTDIR COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE COIN_HAS_ASL_PREINSTALLED_TRUE COIN_HAS_ASL_PREINSTALLED_FALSE BLASSRCDIR BLASOBJDIR BLASDOCDIR BLASDATADIR BLASINSTDIR COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_BLAS_PREINSTALLED_TRUE COIN_HAS_BLAS_PREINSTALLED_FALSE LAPACKSRCDIR LAPACKOBJDIR LAPACKDOCDIR LAPACKDATADIR LAPACKINSTDIR COIN_HAS_LAPACK_TRUE COIN_HAS_LAPACK_FALSE COIN_HAS_LAPACK_PREINSTALLED_TRUE COIN_HAS_LAPACK_PREINSTALLED_FALSE GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR GLPKDATADIR GLPKINSTDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE COIN_HAS_GLPK_PREINSTALLED_TRUE COIN_HAS_GLPK_PREINSTALLED_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS CBCSRCDIR CBCOBJDIR CBCDOCDIR CBCDATADIR CBCINSTDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE COIN_HAS_CBC_PREINSTALLED_TRUE COIN_HAS_CBC_PREINSTALLED_FALSE CGLSRCDIR CGLOBJDIR CGLDOCDIR CGLDATADIR CGLINSTDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE COIN_HAS_CGL_PREINSTALLED_TRUE COIN_HAS_CGL_PREINSTALLED_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR CLPDATADIR CLPINSTDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COIN_HAS_CLP_PREINSTALLED_TRUE COIN_HAS_CLP_PREINSTALLED_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COINUTILSDATADIR COINUTILSINSTDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE COIN_HAS_COINUTILS_PREINSTALLED_TRUE COIN_HAS_COINUTILS_PREINSTALLED_FALSE DYLPSRCDIR DYLPOBJDIR DYLPDOCDIR DYLPDATADIR DYLPINSTDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE COIN_HAS_DYLP_PREINSTALLED_TRUE COIN_HAS_DYLP_PREINSTALLED_FALSE OSISRCDIR OSIOBJDIR OSIDOCDIR OSIDATADIR OSIINSTDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE COIN_HAS_OSI_PREINSTALLED_TRUE COIN_HAS_OSI_PREINSTALLED_FALSE VOLSRCDIR VOLOBJDIR VOLDOCDIR VOLDATADIR VOLINSTDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE COIN_HAS_VOL_PREINSTALLED_TRUE COIN_HAS_VOL_PREINSTALLED_FALSE SAMPLESRCDIR SAMPLEOBJDIR SAMPLEDOCDIR SAMPLEDATADIR SAMPLEINSTDIR COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE COIN_HAS_SAMPLE_PREINSTALLED_TRUE COIN_HAS_SAMPLE_PREINSTALLED_FALSE MIPLIB3SRCDIR MIPLIB3OBJDIR MIPLIB3DOCDIR MIPLIB3DATADIR MIPLIB3INSTDIR COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE COIN_HAS_MIPLIB3_PREINSTALLED_TRUE COIN_HAS_MIPLIB3_PREINSTALLED_FALSE ASLSRCDIR ASLOBJDIR ASLDOCDIR ASLDATADIR ASLINSTDIR COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE COIN_HAS_ASL_PREINSTALLED_TRUE COIN_HAS_ASL_PREINSTALLED_FALSE BLASSRCDIR BLASOBJDIR BLASDOCDIR BLASDATADIR BLASINSTDIR COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_BLAS_PREINSTALLED_TRUE COIN_HAS_BLAS_PREINSTALLED_FALSE LAPACKSRCDIR LAPACKOBJDIR LAPACKDOCDIR LAPACKDATADIR LAPACKINSTDIR COIN_HAS_LAPACK_TRUE COIN_HAS_LAPACK_FALSE COIN_HAS_LAPACK_PREINSTALLED_TRUE COIN_HAS_LAPACK_PREINSTALLED_FALSE GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR GLPKDATADIR GLPKINSTDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE COIN_HAS_GLPK_PREINSTALLED_TRUE COIN_HAS_GLPK_PREINSTALLED_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11581158  --with-vol-objdir object directory for Vol package (if different from source
    11591159                          directory in VPATH compilation)
    1160   --with-symphony-instdir prefix of installation directory for precompiled
    1161                           SYMPHONY package
    1162   --with-symphony-srcdir source directory for SYMPHONY package
    1163   --with-symphony-objdir object directory for SYMPHONY package (if different
    1164                           from source directory in VPATH compilation)
    11651160  --with-sample-instdir prefix of installation directory for precompiled
    11661161                          Sample package
     
    58855880*-*-irix6*)
    58865881  # Find out which ABI we are using.
    5887   echo '#line 5887 "configure"' > conftest.$ac_ext
     5882  echo '#line 5882 "configure"' > conftest.$ac_ext
    58885883  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58895884  (eval $ac_compile) 2>&5
     
    70197014
    70207015# Provide some information about the compiler.
    7021 echo "$as_me:7021:" \
     7016echo "$as_me:7016:" \
    70227017     "checking for Fortran 77 compiler version" >&5
    70237018ac_compiler=`set X $ac_compile; echo $2`
     
    80868081   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80878082   -e 's:$: $lt_compiler_flag:'`
    8088    (eval echo "\"\$as_me:8088: $lt_compile\"" >&5)
     8083   (eval echo "\"\$as_me:8083: $lt_compile\"" >&5)
    80898084   (eval "$lt_compile" 2>conftest.err)
    80908085   ac_status=$?
    80918086   cat conftest.err >&5
    8092    echo "$as_me:8092: \$? = $ac_status" >&5
     8087   echo "$as_me:8087: \$? = $ac_status" >&5
    80938088   if (exit $ac_status) && test -s "$ac_outfile"; then
    80948089     # The compiler can only warn and ignore the option if not recognized
     
    83548349   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83558350   -e 's:$: $lt_compiler_flag:'`
    8356    (eval echo "\"\$as_me:8356: $lt_compile\"" >&5)
     8351   (eval echo "\"\$as_me:8351: $lt_compile\"" >&5)
    83578352   (eval "$lt_compile" 2>conftest.err)
    83588353   ac_status=$?
    83598354   cat conftest.err >&5
    8360    echo "$as_me:8360: \$? = $ac_status" >&5
     8355   echo "$as_me:8355: \$? = $ac_status" >&5
    83618356   if (exit $ac_status) && test -s "$ac_outfile"; then
    83628357     # The compiler can only warn and ignore the option if not recognized
     
    84588453   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84598454   -e 's:$: $lt_compiler_flag:'`
    8460    (eval echo "\"\$as_me:8460: $lt_compile\"" >&5)
     8455   (eval echo "\"\$as_me:8455: $lt_compile\"" >&5)
    84618456   (eval "$lt_compile" 2>out/conftest.err)
    84628457   ac_status=$?
    84638458   cat out/conftest.err >&5
    8464    echo "$as_me:8464: \$? = $ac_status" >&5
     8459   echo "$as_me:8459: \$? = $ac_status" >&5
    84658460   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84668461   then
     
    1080310798  lt_status=$lt_dlunknown
    1080410799  cat > conftest.$ac_ext <<EOF
    10805 #line 10805 "configure"
     10800#line 10800 "configure"
    1080610801#include "confdefs.h"
    1080710802
     
    1090310898  lt_status=$lt_dlunknown
    1090410899  cat > conftest.$ac_ext <<EOF
    10905 #line 10905 "configure"
     10900#line 10900 "configure"
    1090610901#include "confdefs.h"
    1090710902
     
    1324713242   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1324813243   -e 's:$: $lt_compiler_flag:'`
    13249    (eval echo "\"\$as_me:13249: $lt_compile\"" >&5)
     13244   (eval echo "\"\$as_me:13244: $lt_compile\"" >&5)
    1325013245   (eval "$lt_compile" 2>conftest.err)
    1325113246   ac_status=$?
    1325213247   cat conftest.err >&5
    13253    echo "$as_me:13253: \$? = $ac_status" >&5
     13248   echo "$as_me:13248: \$? = $ac_status" >&5
    1325413249   if (exit $ac_status) && test -s "$ac_outfile"; then
    1325513250     # The compiler can only warn and ignore the option if not recognized
     
    1335113346   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1335213347   -e 's:$: $lt_compiler_flag:'`
    13353    (eval echo "\"\$as_me:13353: $lt_compile\"" >&5)
     13348   (eval echo "\"\$as_me:13348: $lt_compile\"" >&5)
    1335413349   (eval "$lt_compile" 2>out/conftest.err)
    1335513350   ac_status=$?
    1335613351   cat out/conftest.err >&5
    13357    echo "$as_me:13357: \$? = $ac_status" >&5
     13352   echo "$as_me:13352: \$? = $ac_status" >&5
    1335813353   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1335913354   then
     
    1492114916   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1492214917   -e 's:$: $lt_compiler_flag:'`
    14923    (eval echo "\"\$as_me:14923: $lt_compile\"" >&5)
     14918   (eval echo "\"\$as_me:14918: $lt_compile\"" >&5)
    1492414919   (eval "$lt_compile" 2>conftest.err)
    1492514920   ac_status=$?
    1492614921   cat conftest.err >&5
    14927    echo "$as_me:14927: \$? = $ac_status" >&5
     14922   echo "$as_me:14922: \$? = $ac_status" >&5
    1492814923   if (exit $ac_status) && test -s "$ac_outfile"; then
    1492914924     # The compiler can only warn and ignore the option if not recognized
     
    1502515020   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1502615021   -e 's:$: $lt_compiler_flag:'`
    15027    (eval echo "\"\$as_me:15027: $lt_compile\"" >&5)
     15022   (eval echo "\"\$as_me:15022: $lt_compile\"" >&5)
    1502815023   (eval "$lt_compile" 2>out/conftest.err)
    1502915024   ac_status=$?
    1503015025   cat out/conftest.err >&5
    15031    echo "$as_me:15031: \$? = $ac_status" >&5
     15026   echo "$as_me:15026: \$? = $ac_status" >&5
    1503215027   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1503315028   then
     
    1723217227   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1723317228   -e 's:$: $lt_compiler_flag:'`
    17234    (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
     17229   (eval echo "\"\$as_me:17229: $lt_compile\"" >&5)
    1723517230   (eval "$lt_compile" 2>conftest.err)
    1723617231   ac_status=$?
    1723717232   cat conftest.err >&5
    17238    echo "$as_me:17238: \$? = $ac_status" >&5
     17233   echo "$as_me:17233: \$? = $ac_status" >&5
    1723917234   if (exit $ac_status) && test -s "$ac_outfile"; then
    1724017235     # The compiler can only warn and ignore the option if not recognized
     
    1750017495   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1750117496   -e 's:$: $lt_compiler_flag:'`
    17502    (eval echo "\"\$as_me:17502: $lt_compile\"" >&5)
     17497   (eval echo "\"\$as_me:17497: $lt_compile\"" >&5)
    1750317498   (eval "$lt_compile" 2>conftest.err)
    1750417499   ac_status=$?
    1750517500   cat conftest.err >&5
    17506    echo "$as_me:17506: \$? = $ac_status" >&5
     17501   echo "$as_me:17501: \$? = $ac_status" >&5
    1750717502   if (exit $ac_status) && test -s "$ac_outfile"; then
    1750817503     # The compiler can only warn and ignore the option if not recognized
     
    1760417599   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1760517600   -e 's:$: $lt_compiler_flag:'`
    17606    (eval echo "\"\$as_me:17606: $lt_compile\"" >&5)
     17601   (eval echo "\"\$as_me:17601: $lt_compile\"" >&5)
    1760717602   (eval "$lt_compile" 2>out/conftest.err)
    1760817603   ac_status=$?
    1760917604   cat out/conftest.err >&5
    17610    echo "$as_me:17610: \$? = $ac_status" >&5
     17605   echo "$as_me:17605: \$? = $ac_status" >&5
    1761117606   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1761217607   then
     
    2202922024fi
    2203022025
    22031 echo "$as_me:$LINENO: checking for COIN project SYMPHONY in " >&5
    22032 echo $ECHO_N "checking for COIN project SYMPHONY in ... $ECHO_C" >&6
    22033 # First check, if the sub-project is actually available (ToDo: allow
    22034 # other locations)
    22035 
    22036 #replace backslashes by underscore
    22037 #m4_define([escape], m4_bpatsubsts([SYMPHONY],[/],[_]))
    22038 
    22039 coin_has_symphony=notGiven
    22040 if test x"$COIN_SKIP_PROJECTS" != x; then
    22041   for dir in $COIN_SKIP_PROJECTS; do
    22042     if test $dir = SYMPHONY; then
    22043       coin_has_symphony=skipping
    22044     fi
    22045   done
    22046 fi
    22047 
    22048 
    22049 
    22050 
    22051 
    22052 
    22053 SYMPHONYSRCDIR=This_Variable_Is_Not_Set
    22054 SYMPHONYOBJDIR=This_Variable_Is_Not_Set
    22055 SYMPHONYDOCDIR=This_Variable_Is_Not_Set
    22056 SYMPHONYDATADIR=This_Variable_Is_Not_Set
    22057 SYMPHONYINSTDIR=This_Variable_Is_Not_Set
    22058 
    22059 if test $coin_has_symphony != skipping; then
    22060   if test $PACKAGE_TARNAME = symphony; then
    22061     coin_has_symphony=.
    22062   else
    22063 
    22064 # Check whether --with-m4_tolower(SYMPHONY)-instdir or --without-m4_tolower(SYMPHONY)-instdir was given.
    22065 if test "${with_symphony_instdir+set}" = set; then
    22066   withval="$with_symphony_instdir"
    22067   coin_has_symphony=installed
    22068                  if test -d "$withval"; then : ; else
    22069                    { { echo "$as_me:$LINENO: error: argument for --with-symphony-instdir not a directory" >&5
    22070 echo "$as_me: error: argument for --with-symphony-instdir not a directory" >&2;}
    22071    { (exit 1); exit 1; }; }
    22072                  fi
    22073                  SYMPHONYINSTDIR=`cd $withval; pwd`
    22074 fi;
    22075 
    22076 
    22077 # Check whether --with-m4_tolower(SYMPHONY)-srcdir or --without-m4_tolower(SYMPHONY)-srcdir was given.
    22078 if test "${with_symphony_srcdir+set}" = set; then
    22079   withval="$with_symphony_srcdir"
    22080   if test "$coin_has_symphony" = installed; then
    22081                    { { echo "$as_me:$LINENO: error: --with-$symphony-srcdir cannot be given together with --with-symphony-instdir" >&5
    22082 echo "$as_me: error: --with-$symphony-srcdir cannot be given together with --with-symphony-instdir" >&2;}
    22083    { (exit 1); exit 1; }; }
    22084                  fi
    22085                  if test -d "$withval"; then : ; else
    22086                    { { echo "$as_me:$LINENO: error: argument for --with-symphony-srcdir not a directory" >&5
    22087 echo "$as_me: error: argument for --with-symphony-srcdir not a directory" >&2;}
    22088    { (exit 1); exit 1; }; }
    22089                  fi
    22090                  coin_has_symphony=$withval
    22091                  SYMPHONYSRCDIR=`cd $withval; pwd`
    22092 fi;
    22093 
    22094 
    22095 # Check whether --with-m4_tolower(SYMPHONY)-objdir or --without-m4_tolower(SYMPHONY)-objdir was given.
    22096 if test "${with_symphony_objdir+set}" = set; then
    22097   withval="$with_symphony_objdir"
    22098   if test "$coin_has_symphony" = installed; then
    22099                    { { echo "$as_me:$LINENO: error: --with-symphony-objdir cannot be given together with --with-symphony-instdir" >&5
    22100 echo "$as_me: error: --with-symphony-objdir cannot be given together with --with-symphony-instdir" >&2;}
    22101    { (exit 1); exit 1; }; }
    22102                  fi
    22103                  if test "$coin_has_symphony" = notGiven; then
    22104                    { { echo "$as_me:$LINENO: error: --with-symphony-objdir must be accompanied by --with-symphony-srcdir" >&5
    22105 echo "$as_me: error: --with-symphony-objdir must be accompanied by --with-symphony-srcdir" >&2;}
    22106    { (exit 1); exit 1; }; }
    22107                  fi
    22108                  if test -d "$withval"; then : ; else
    22109                    { { echo "$as_me:$LINENO: error: argument for --with-symphony-objdir not a directory" >&5
    22110 echo "$as_me: error: argument for --with-symphony-objdir not a directory" >&2;}
    22111    { (exit 1); exit 1; }; }
    22112                  fi
    22113                  SYMPHONYOBJDIR=`cd $withval; pwd`
    22114 else
    22115   SYMPHONYOBJDIR="$SYMPHONYSRCDIR"
    22116 fi;
    22117 
    22118     # if we still don't have a location, check for generic flag
    22119     if test "$coin_has_symphony" = notGiven; then
    22120 
    22121 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    22122 if test "${with_coin_instdir+set}" = set; then
    22123   withval="$with_coin_instdir"
    22124   if test -d "$withval"; then : ; else
    22125                      { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    22126 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    22127    { (exit 1); exit 1; }; }
    22128                    fi
    22129                    if test -r $withval/share/doc/coin/SYMPHONY/README;
    22130 
    22131                    then
    22132                      coin_has_symphony=installed
    22133                      SYMPHONYINSTDIR=`cd $withval; pwd`
    22134                    fi
    22135 fi;
    22136     fi
    22137 
    22138     # check if project can be found in /SYMPHONY
    22139     # this is for the classic setup when this macro is called from AC_COIN_MAIN_SUBDIR
    22140     fulldir=SYMPHONY
    22141 
    22142     if test "$coin_has_symphony" = notGiven; then
    22143       if test -d $srcdir/$fulldir; then
    22144          coin_has_symphony=$fulldir
    22145 
    22146 
    22147       fi
    22148     fi
    22149 
    22150     # check if project can be found in ..//SYMPHONY
    22151     # this is for the classic setup when this macro is called from the project main directory
    22152     fulldir=../SYMPHONY
    22153 
    22154     if test "$coin_has_symphony" = notGiven; then
    22155       if test -d $srcdir/$fulldir; then
    22156          coin_has_symphony=$fulldir
    22157 
    22158 
    22159       fi
    22160     fi
    22161   fi
    22162 fi
    22163 
    22164 if test $coin_has_symphony != notGiven &&
    22165    test $coin_has_symphony != skipping; then
    22166   # Set the #define if the component is available
    22167 
    22168 cat >>confdefs.h <<\_ACEOF
    22169 #define COIN_HAS_SYMPHONY 1
    22170 _ACEOF
    22171 
    22172 
    22173   if test $coin_has_symphony = installed; then
    22174     SYMPHONYDOCDIR=$SYMPHONYINSTDIR/share/doc/coin/SYMPHONY
    22175        SYMPHONYDATADIR=$SYMPHONYINSTDIR/share/coin/SYMPHONY
    22176 
    22177   else
    22178     if test "$SYMPHONYOBJDIR" = This_Variable_Is_Not_Set; then
    22179       # Set the variables for source and object code location
    22180       SYMPHONYSRCDIR=`cd $srcdir/$coin_has_symphony; pwd`
    22181       SYMPHONYOBJDIR=`pwd`/$coin_has_symphony
    22182       SYMPHONYDOCDIR=$abs_lib_dir/../share/doc/coin/SYMPHONY
    22183 
    22184       SYMPHONYDATADIR=$SYMPHONYOBJDIR
    22185     else
    22186       # This is just a guess:
    22187       SYMPHONYDOCDIR=$SYMPHONYOBJDIR/../share/doc/coin/SYMPHONY
    22188          SYMPHONYDATADIR=$SYMPHONYOBJDIR/../share/coin/SYMPHONY
    22189 
    22190     fi
    22191   fi
    22192 fi
    22193 
    22194 # Define the Makefile conditional
    22195 
    22196 
    22197 if test $coin_has_symphony != notGiven &&
    22198                 test $coin_has_symphony != skipping; then
    22199   COIN_HAS_SYMPHONY_TRUE=
    22200   COIN_HAS_SYMPHONY_FALSE='#'
    22201 else
    22202   COIN_HAS_SYMPHONY_TRUE='#'
    22203   COIN_HAS_SYMPHONY_FALSE=
    22204 fi
    22205 
    22206 
    22207 
    22208 if test $coin_has_symphony = installed; then
    22209   COIN_HAS_SYMPHONY_PREINSTALLED_TRUE=
    22210   COIN_HAS_SYMPHONY_PREINSTALLED_FALSE='#'
    22211 else
    22212   COIN_HAS_SYMPHONY_PREINSTALLED_TRUE='#'
    22213   COIN_HAS_SYMPHONY_PREINSTALLED_FALSE=
    22214 fi
    22215 
    22216 
    22217 if test $coin_has_symphony = installed; then
    22218   echo "$as_me:$LINENO: result: installed in $SYMPHONYINSTDIR" >&5
    22219 echo "${ECHO_T}installed in $SYMPHONYINSTDIR" >&6
    22220   if test -r $SYMPHONYINSTDIR/share/doc/coin/SYMPHONY/README; then
    22221 
    22222   :
    22223 else
    22224   { { echo "$as_me:$LINENO: error: $SYMPHONYINSTDIR/share/doc/coin/SYMPHONY/README should be available if SYMPHONY is installed" >&5
    22225 echo "$as_me: error: $SYMPHONYINSTDIR/share/doc/coin/SYMPHONY/README should be available if SYMPHONY is installed" >&2;}
    22226    { (exit 1); exit 1; }; }
    22227   :
    22228 fi
    22229 
    22230 
    22231 
    22232 else
    22233   echo "$as_me:$LINENO: result: $coin_has_symphony" >&5
    22234 echo "${ECHO_T}$coin_has_symphony" >&6
    22235   if test $coin_has_symphony != notGiven &&
    22236      test $coin_has_symphony != skipping; then
    22237     echo "$as_me:$LINENO: checking for source code location of SYMPHONY" >&5
    22238 echo $ECHO_N "checking for source code location of SYMPHONY... $ECHO_C" >&6
    22239     echo "$as_me:$LINENO: result: $SYMPHONYSRCDIR" >&5
    22240 echo "${ECHO_T}$SYMPHONYSRCDIR" >&6
    22241     echo "$as_me:$LINENO: checking for object code location of SYMPHONY" >&5
    22242 echo $ECHO_N "checking for object code location of SYMPHONY... $ECHO_C" >&6
    22243     echo "$as_me:$LINENO: result: $SYMPHONYOBJDIR" >&5
    22244 echo "${ECHO_T}$SYMPHONYOBJDIR" >&6
    22245   fi
    22246 fi
    22247 
    2224822026echo "$as_me:$LINENO: checking for COIN project Sample in Data" >&5
    2224922027echo $ECHO_N "checking for COIN project Sample in Data... $ECHO_C" >&6
     
    2355023328fi
    2355123329
    23552 
    23553 # AC_COIN_HAS_PROJECT(Cpx)
    23554 # What is this in the line above?
    23555 # This should already be taken care of with
    23556 # AC_COIN_HAS_USER_LIBRARY([Cplex],[CPX],[cplex.h],[CPXgetstat])
    23557 # below
    2355823330
    2355923331#############################################################################
     
    2508924861Usually this means the macro was only invoked conditionally." >&5
    2509024862echo "$as_me: error: conditional \"COIN_HAS_VOL_PREINSTALLED\" was never defined.
    25091 Usually this means the macro was only invoked conditionally." >&2;}
    25092    { (exit 1); exit 1; }; }
    25093 fi
    25094 if test -z "${COIN_HAS_SYMPHONY_TRUE}" && test -z "${COIN_HAS_SYMPHONY_FALSE}"; then
    25095   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_SYMPHONY\" was never defined.
    25096 Usually this means the macro was only invoked conditionally." >&5
    25097 echo "$as_me: error: conditional \"COIN_HAS_SYMPHONY\" was never defined.
    25098 Usually this means the macro was only invoked conditionally." >&2;}
    25099    { (exit 1); exit 1; }; }
    25100 fi
    25101 if test -z "${COIN_HAS_SYMPHONY_PREINSTALLED_TRUE}" && test -z "${COIN_HAS_SYMPHONY_PREINSTALLED_FALSE}"; then
    25102   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_SYMPHONY_PREINSTALLED\" was never defined.
    25103 Usually this means the macro was only invoked conditionally." >&5
    25104 echo "$as_me: error: conditional \"COIN_HAS_SYMPHONY_PREINSTALLED\" was never defined.
    2510524863Usually this means the macro was only invoked conditionally." >&2;}
    2510624864   { (exit 1); exit 1; }; }
     
    2593725695s,@COIN_HAS_VOL_PREINSTALLED_TRUE@,$COIN_HAS_VOL_PREINSTALLED_TRUE,;t t
    2593825696s,@COIN_HAS_VOL_PREINSTALLED_FALSE@,$COIN_HAS_VOL_PREINSTALLED_FALSE,;t t
    25939 s,@SYMPHONYSRCDIR@,$SYMPHONYSRCDIR,;t t
    25940 s,@SYMPHONYOBJDIR@,$SYMPHONYOBJDIR,;t t
    25941 s,@SYMPHONYDOCDIR@,$SYMPHONYDOCDIR,;t t
    25942 s,@SYMPHONYDATADIR@,$SYMPHONYDATADIR,;t t
    25943 s,@SYMPHONYINSTDIR@,$SYMPHONYINSTDIR,;t t
    25944 s,@COIN_HAS_SYMPHONY_TRUE@,$COIN_HAS_SYMPHONY_TRUE,;t t
    25945 s,@COIN_HAS_SYMPHONY_FALSE@,$COIN_HAS_SYMPHONY_FALSE,;t t
    25946 s,@COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@,$COIN_HAS_SYMPHONY_PREINSTALLED_TRUE,;t t
    25947 s,@COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@,$COIN_HAS_SYMPHONY_PREINSTALLED_FALSE,;t t
    2594825697s,@SAMPLESRCDIR@,$SAMPLESRCDIR,;t t
    2594925698s,@SAMPLEOBJDIR@,$SAMPLEOBJDIR,;t t
  • stable/BSPsplit/Cbc/configure.ac

    r1206 r1208  
    6464AC_COIN_HAS_PROJECT(Osi)
    6565AC_COIN_HAS_PROJECT(Vol)
    66 AC_COIN_HAS_PROJECT(SYMPHONY)
    6766AC_COIN_HAS_PROJECT(Sample,Data)
    6867AC_COIN_HAS_PROJECT(miplib3,Data)
     
    7170AC_COIN_HAS_PROJECT(Lapack,ThirdParty,LAPACK/SRC/dlarf.f)
    7271AC_COIN_HAS_PROJECT(Glpk,ThirdParty,glpk/include/glpk.h)
    73 
    74 # AC_COIN_HAS_PROJECT(Cpx)
    75 # What is this in the line above?
    76 # This should already be taken care of with
    77 # AC_COIN_HAS_USER_LIBRARY([Cplex],[CPX],[cplex.h],[CPXgetstat])
    78 # below
    7972
    8073#############################################################################
  • stable/BSPsplit/Cbc/inc/config_cbc.h.in

    r1206 r1208  
    6868#undef COIN_HAS_SPX
    6969
    70 /* Define to 1 if the SYMPHONY package is used */
    71 #undef COIN_HAS_SYMPHONY
    72 
    7370/* Define to 1 if the Vol package is used */
    7471#undef COIN_HAS_VOL
  • stable/BSPsplit/Cbc/src/Makefile.am

    r1206 r1208  
    320320  AM_CPPFLAGS += -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSpx`
    321321  cbc_generic_LDADD += $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
    322 endif
    323 endif
    324 
    325 if COIN_HAS_SYMPHONY
    326 if COIN_HAS_OSI_PREINSTALLED
    327   AM_CPPFLAGS += -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    328   LIBS += -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiSym
    329 else
    330   AM_CPPFLAGS += -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSym`
    331   cbc_generic_LDADD += $(OSIOBJDIR)/src/OsiSym/libOsiSym.la
    332 endif
    333 if COIN_HAS_SYMPHONY_PREINSTALLED
    334   AM_CPPFLAGS += -I`$(CYGPATH_W) $(SYMPHONYINSTDIR)/include/coin`
    335   LIBS += -L`$(CYGPATH_W) $(SYMPHONYINSTDIR)/lib` -lSym \
    336         `cat $(SYMPHONYDOCDIR)/sym_addlibs.txt`
    337 else
    338   AM_CPPFLAGS += -I`$(CYGPATH_W) $(SYMPHONYSRCDIR)/src`
    339   cbc_generic_LDADD += $(SYMPHONYOBJDIR)/src/libSym.la
    340   LIBS += `cat $(SYMPHONYOBJDIR)/sym_addlibs.txt`
    341322endif
    342323endif
  • stable/BSPsplit/Cbc/src/Makefile.in

    r1206 r1208  
    160160@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SPX_TRUE@am__append_79 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSpx`
    161161@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SPX_TRUE@am__append_80 = $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
    162 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@am__append_81 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    163 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@am__append_82 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiSym
    164 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_83 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSym`
    165 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_84 = $(OSIOBJDIR)/src/OsiSym/libOsiSym.la
    166 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@am__append_85 = -I`$(CYGPATH_W) $(SYMPHONYINSTDIR)/include/coin`
    167 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@am__append_86 = -L`$(CYGPATH_W) $(SYMPHONYINSTDIR)/lib` -lSym \
    168 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@       `cat $(SYMPHONYDOCDIR)/sym_addlibs.txt`
    169 
    170 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_87 = -I`$(CYGPATH_W) $(SYMPHONYSRCDIR)/src`
    171 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_88 = $(SYMPHONYOBJDIR)/src/libSym.la
    172 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_89 = `cat $(SYMPHONYOBJDIR)/sym_addlibs.txt`
    173 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_90 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    174 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_91 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiVol
    175 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_92 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiVol`
    176 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_93 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la
    177 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_94 = -I`$(CYGPATH_W) $(VOLINSTDIR)/include/coin`
    178 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_95 = -L`$(CYGPATH_W) $(VOLINSTDIR)/lib` -lVol \
     162@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_81 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
     163@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_82 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiVol
     164@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_83 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiVol`
     165@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_84 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la
     166@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_85 = -I`$(CYGPATH_W) $(VOLINSTDIR)/include/coin`
     167@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_86 = -L`$(CYGPATH_W) $(VOLINSTDIR)/lib` -lVol \
    179168@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@ `cat $(VOLDOCDIR)/vol_addlibs.txt`
    180169
    181 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_96 = -I`$(CYGPATH_W) $(VOLSRCDIR)/src`
    182 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_97 = $(VOLOBJDIR)/src/libVol.la
    183 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_98 = `cat $(VOLOBJDIR)/vol_addlibs.txt`
    184 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_XPR_TRUE@am__append_99 = -I`$(CYGPATH_W) $(XPRINCDIR)`
    185 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_XPR_TRUE@am__append_100 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    186 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_XPR_TRUE@am__append_101 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiXpr
    187 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__append_102 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiXpr`
    188 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__append_103 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
    189 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__append_104 = $(ASLINSTDIR)/lib/ThirdParty/$(ASLLIB)
     170@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_87 = -I`$(CYGPATH_W) $(VOLSRCDIR)/src`
     171@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_88 = $(VOLOBJDIR)/src/libVol.la
     172@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_89 = `cat $(VOLOBJDIR)/vol_addlibs.txt`
     173@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_XPR_TRUE@am__append_90 = -I`$(CYGPATH_W) $(XPRINCDIR)`
     174@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_XPR_TRUE@am__append_91 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
     175@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_XPR_TRUE@am__append_92 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiXpr
     176@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__append_93 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiXpr`
     177@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__append_94 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
     178@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__append_95 = $(ASLINSTDIR)/lib/ThirdParty/$(ASLLIB)
    190179#  AM_CPPFLAGS += $(ASLINSTDIR)/include/coin/ThirdParty -DCOIN_HAS_ASL
    191 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__append_105 = $(ASLOBJDIR)/lib/ThirdParty/$(ASLLIB)
     180@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__append_96 = $(ASLOBJDIR)/lib/ThirdParty/$(ASLLIB)
    192181#  AM_CPPFLAGS += -I`$(CYGPATH_W) $(ASLOBJDIR)` -I`$(CYGPATH_W) $(ASLSRCDIR)/solvers` -DCOIN_HAS_ASL
    193 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_106 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    194 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_107 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiClp -lOsi
    195 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_108 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiClp`
    196 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_109 = $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
     182@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_97 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
     183@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_98 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiClp -lOsi
     184@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_99 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiClp`
     185@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_100 = $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    197186@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@   $(OSIOBJDIR)/src/libOsi.la
    198187
    199 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_110 = -L`$(CYGPATH_W) $(COINUTILSINSTDIR)/lib` -lCoinUtils
    200 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_111 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
    201 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_BLAS_PREINSTALLED_TRUE@@COIN_HAS_BLAS_TRUE@am__append_112 = -L`$(CYGPATH_W) $(BLASINSTDIR)/lib/ThirdParty` -lcoinblas
    202 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_BLAS_PREINSTALLED_FALSE@@COIN_HAS_BLAS_TRUE@am__append_113 = $(BLASOBJDIR)/libcoinblas.la
    203 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_LAPACK_PREINSTALLED_TRUE@@COIN_HAS_LAPACK_TRUE@am__append_114 = -L`$(CYGPATH_W) $(LAPACKINSTDIR)/lib/ThirdParty` -lcoinlapack
    204 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_LAPACK_PREINSTALLED_FALSE@@COIN_HAS_LAPACK_TRUE@am__append_115 = $(LAPACKOBJDIR)/libcoinlapack.la
     188@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_101 = -L`$(CYGPATH_W) $(COINUTILSINSTDIR)/lib` -lCoinUtils
     189@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_102 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
     190@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_BLAS_PREINSTALLED_TRUE@@COIN_HAS_BLAS_TRUE@am__append_103 = -L`$(CYGPATH_W) $(BLASINSTDIR)/lib/ThirdParty` -lcoinblas
     191@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_BLAS_PREINSTALLED_FALSE@@COIN_HAS_BLAS_TRUE@am__append_104 = $(BLASOBJDIR)/libcoinblas.la
     192@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_LAPACK_PREINSTALLED_TRUE@@COIN_HAS_LAPACK_TRUE@am__append_105 = -L`$(CYGPATH_W) $(LAPACKINSTDIR)/lib/ThirdParty` -lcoinlapack
     193@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_LAPACK_PREINSTALLED_FALSE@@COIN_HAS_LAPACK_TRUE@am__append_106 = $(LAPACKOBJDIR)/libcoinlapack.la
    205194
    206195########################################################################
    207196#                            Additional flags                          #
    208197########################################################################
    209 @COIN_HAS_CGL_PREINSTALLED_TRUE@am__append_116 = -I`$(CYGPATH_W) $(CGLINSTDIR)/include/coin`
    210 @COIN_HAS_CGL_PREINSTALLED_TRUE@am__append_117 = `cat $(CGLDOCDIR)/cgl_addlibs.txt`
     198@COIN_HAS_CGL_PREINSTALLED_TRUE@am__append_107 = -I`$(CYGPATH_W) $(CGLINSTDIR)/include/coin`
     199@COIN_HAS_CGL_PREINSTALLED_TRUE@am__append_108 = `cat $(CGLDOCDIR)/cgl_addlibs.txt`
    211200# Here list all include flags, relative to this "srcdir" directory.  This
    212201# "cygpath" stuff is necessary to compile with native compilers on Windows.
    213202# "top_srcdir" refers to the basic directory for the main package that is
    214203# being compiled.
    215 @COIN_HAS_CGL_PREINSTALLED_FALSE@am__append_118 = \
     204@COIN_HAS_CGL_PREINSTALLED_FALSE@am__append_109 = \
    216205@COIN_HAS_CGL_PREINSTALLED_FALSE@       -I`$(CYGPATH_W) $(CGLSRCDIR)/src` \
    217206@COIN_HAS_CGL_PREINSTALLED_FALSE@       -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglClique` \
     
    231220@COIN_HAS_CGL_PREINSTALLED_FALSE@       -I`$(CYGPATH_W) $(CGLSRCDIR)/src/CglZeroHalf`
    232221
    233 @COIN_HAS_CGL_PREINSTALLED_FALSE@am__append_119 = `cat $(CGLOBJDIR)/cgl_addlibs.txt`
    234 @COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_120 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    235 @COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_121 = `cat $(OSIDOCDIR)/osi_addlibs.txt`
    236 @COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_122 = -I`$(CYGPATH_W) $(OSISRCDIR)/src` \
     222@COIN_HAS_CGL_PREINSTALLED_FALSE@am__append_110 = `cat $(CGLOBJDIR)/cgl_addlibs.txt`
     223@COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_111 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
     224@COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_112 = `cat $(OSIDOCDIR)/osi_addlibs.txt`
     225@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_113 = -I`$(CYGPATH_W) $(OSISRCDIR)/src` \
    237226@COIN_HAS_OSI_PREINSTALLED_FALSE@       -I`$(CYGPATH_W) $(OSIOBJDIR)/inc`
    238227
    239 @COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_123 = `cat $(OSIOBJDIR)/osi_addlibs.txt`
    240 @COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_124 = -I`$(CYGPATH_W) $(COINUTILSINSTDIR)/include/coin`
    241 @COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_125 = `cat $(COINUTILSDOCDIR)/coinutils_addlibs.txt`
    242 @COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_126 = -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
     228@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_114 = `cat $(OSIOBJDIR)/osi_addlibs.txt`
     229@COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_115 = -I`$(CYGPATH_W) $(COINUTILSINSTDIR)/include/coin`
     230@COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_116 = `cat $(COINUTILSDOCDIR)/coinutils_addlibs.txt`
     231@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_117 = -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
    243232@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@ -I`$(CYGPATH_W) $(COINUTILSOBJDIR)/inc`
    244233
    245 @COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_127 = `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt`
     234@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_118 = `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt`
    246235subdir = src
    247236DIST_COMMON = $(includecoin_HEADERS) $(srcdir)/Makefile.am \
     
    339328@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_OSL_TRUE@am__DEPENDENCIES_20 = $(OSIOBJDIR)/src/OsiOsl/libOsiOsl.la
    340329@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SPX_TRUE@am__DEPENDENCIES_21 = $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
    341 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__DEPENDENCIES_22 = $(OSIOBJDIR)/src/OsiSym/libOsiSym.la
    342 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__DEPENDENCIES_23 = $(SYMPHONYOBJDIR)/src/libSym.la
    343 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_24 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la
    344 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_25 = $(VOLOBJDIR)/src/libVol.la
    345 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__DEPENDENCIES_26 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
    346 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_27 = $(ASLINSTDIR)/lib/ThirdParty/$(ASLLIB)
    347 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_28 = $(ASLOBJDIR)/lib/ThirdParty/$(ASLLIB)
    348 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@am__DEPENDENCIES_29 = $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
     330@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_22 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la
     331@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_23 = $(VOLOBJDIR)/src/libVol.la
     332@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__DEPENDENCIES_24 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
     333@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_25 = $(ASLINSTDIR)/lib/ThirdParty/$(ASLLIB)
     334@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_26 = $(ASLOBJDIR)/lib/ThirdParty/$(ASLLIB)
     335@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@am__DEPENDENCIES_27 = $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    349336@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_OSI_PREINSTALLED_FALSE@   $(OSIOBJDIR)/src/libOsi.la
    350 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__DEPENDENCIES_30 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
    351 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_BLAS_PREINSTALLED_FALSE@@COIN_HAS_BLAS_TRUE@am__DEPENDENCIES_31 = $(BLASOBJDIR)/libcoinblas.la
    352 @CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_LAPACK_PREINSTALLED_FALSE@@COIN_HAS_LAPACK_TRUE@am__DEPENDENCIES_32 = $(LAPACKOBJDIR)/libcoinlapack.la
     337@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__DEPENDENCIES_28 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
     338@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_BLAS_PREINSTALLED_FALSE@@COIN_HAS_BLAS_TRUE@am__DEPENDENCIES_29 = $(BLASOBJDIR)/libcoinblas.la
     339@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_LAPACK_PREINSTALLED_FALSE@@COIN_HAS_LAPACK_TRUE@am__DEPENDENCIES_30 = $(LAPACKOBJDIR)/libcoinlapack.la
    353340@CBC_BUILD_CBC_GENERIC_TRUE@cbc_generic_DEPENDENCIES =  \
    354341@CBC_BUILD_CBC_GENERIC_TRUE@    libCbcSolver.la libCbc.la \
     
    373360@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_28) \
    374361@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_29) \
    375 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_30) \
    376 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_31) \
    377 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_32)
     362@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__DEPENDENCIES_30)
    378363depcomp = $(SHELL) $(top_srcdir)/../depcomp
    379364am__depfiles_maybe = depfiles
     
    514499COIN_HAS_SPX_FALSE = @COIN_HAS_SPX_FALSE@
    515500COIN_HAS_SPX_TRUE = @COIN_HAS_SPX_TRUE@
    516 COIN_HAS_SYMPHONY_FALSE = @COIN_HAS_SYMPHONY_FALSE@
    517 COIN_HAS_SYMPHONY_PREINSTALLED_FALSE = @COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@
    518 COIN_HAS_SYMPHONY_PREINSTALLED_TRUE = @COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@
    519 COIN_HAS_SYMPHONY_TRUE = @COIN_HAS_SYMPHONY_TRUE@
    520501COIN_HAS_VOL_FALSE = @COIN_HAS_VOL_FALSE@
    521502COIN_HAS_VOL_PREINSTALLED_FALSE = @COIN_HAS_VOL_PREINSTALLED_FALSE@
     
    581562        $(am__append_63) $(am__append_68) $(am__append_73) \
    582563        $(am__append_78) $(am__append_82) $(am__append_86) \
    583         $(am__append_89) $(am__append_91) $(am__append_95) \
    584         $(am__append_98) $(am__append_101) $(am__append_107) \
    585         $(am__append_110) $(am__append_112) $(am__append_114) \
    586         $(am__append_117) $(am__append_119) $(am__append_121) \
    587         $(am__append_123) $(am__append_125) $(am__append_127) \
     564        $(am__append_89) $(am__append_92) $(am__append_98) \
     565        $(am__append_101) $(am__append_103) $(am__append_105) \
     566        $(am__append_108) $(am__append_110) $(am__append_112) \
     567        $(am__append_114) $(am__append_116) $(am__append_118) \
    588568        $(ADDLIBS)
    589569LIBTOOL = @LIBTOOL@
     
    634614SPXLIB = @SPXLIB@
    635615STRIP = @STRIP@
    636 SYMPHONYDATADIR = @SYMPHONYDATADIR@
    637 SYMPHONYDOCDIR = @SYMPHONYDOCDIR@
    638 SYMPHONYINSTDIR = @SYMPHONYINSTDIR@
    639 SYMPHONYOBJDIR = @SYMPHONYOBJDIR@
    640 SYMPHONYSRCDIR = @SYMPHONYSRCDIR@
    641616VERSION = @VERSION@
    642617VOLDATADIR = @VOLDATADIR@
     
    778753        $(am__append_77) $(am__append_79) $(am__append_81) \
    779754        $(am__append_83) $(am__append_85) $(am__append_87) \
    780         $(am__append_90) $(am__append_92) $(am__append_94) \
    781         $(am__append_96) $(am__append_99) $(am__append_100) \
    782         $(am__append_102) $(am__append_106) $(am__append_108) \
    783         $(am__append_116) $(am__append_118) $(am__append_120) \
    784         $(am__append_122) $(am__append_124) $(am__append_126) \
    785         -DCOIN_NO_CLP_MESSAGE -DUSE_CBCCONFIG
     755        $(am__append_90) $(am__append_91) $(am__append_93) \
     756        $(am__append_97) $(am__append_99) $(am__append_107) \
     757        $(am__append_109) $(am__append_111) $(am__append_113) \
     758        $(am__append_115) $(am__append_117) -DCOIN_NO_CLP_MESSAGE \
     759        -DUSE_CBCCONFIG
    786760
    787761# List all source files for this executable, including headers
     
    823797@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_70) $(am__append_75) \
    824798@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_80) $(am__append_84) \
    825 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_88) $(am__append_93) \
    826 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_97) $(am__append_103) \
     799@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_88) $(am__append_94) \
     800@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_95) $(am__append_96) \
     801@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_100) \
     802@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_102) \
    827803@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_104) \
    828 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_105) \
    829 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_109) \
    830 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_111) \
    831 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_113) \
    832 @CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_115)
     804@CBC_BUILD_CBC_GENERIC_TRUE@    $(am__append_106)
    833805
    834806# Finally, the -rpath flag is used by libtool to make sure that the shared
  • stable/BSPsplit/Cbc/test/Makefile.am

    r1206 r1208  
    195195endif
    196196
    197 if COIN_HAS_SYMPHONY
    198 if COIN_HAS_OSI_PREINSTALLED
    199   AM_CPPFLAGS += -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    200   LIBS += -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiSym
    201 else
    202   AM_CPPFLAGS += -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSym`
    203   gamsTest_LDADD += $(OSIOBJDIR)/src/OsiSym/libOsiSym.la
    204 endif
    205 if COIN_HAS_SYMPHONY_PREINSTALLED
    206   AM_CPPFLAGS += -I`$(CYGPATH_W) $(SYMPHONYINSTDIR)/include/coin`
    207   LIBS += -L`$(CYGPATH_W) $(SYMPHONYINSTDIR)/lib` -lSym \
    208         `cat $(SYMPHONYDOCDIR)/sym_addlibs.txt`
    209 else
    210   AM_CPPFLAGS += -I`$(CYGPATH_W) $(SYMPHONYSRCDIR)/src`
    211   gamsTest_LDADD += $(SYMPHONYOBJDIR)/src/libSym.la
    212   LIBS += `cat $(SYMPHONYOBJDIR)/sym_addlibs.txt`
    213 endif
    214 endif
    215 
    216197if COIN_HAS_VOL
    217198if COIN_HAS_OSI_PREINSTALLED
  • stable/BSPsplit/Cbc/test/Makefile.in

    r1206 r1208  
    109109@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SPX_TRUE@am__append_55 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSpx`
    110110@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SPX_TRUE@am__append_56 = $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
    111 @COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@am__append_57 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    112 @COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@am__append_58 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiSym
    113 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_59 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiSym`
    114 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_60 = $(OSIOBJDIR)/src/OsiSym/libOsiSym.la
    115 @COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@am__append_61 = -I`$(CYGPATH_W) $(SYMPHONYINSTDIR)/include/coin`
    116 @COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@am__append_62 = -L`$(CYGPATH_W) $(SYMPHONYINSTDIR)/lib` -lSym \
    117 @COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@@COIN_HAS_SYMPHONY_TRUE@   `cat $(SYMPHONYDOCDIR)/sym_addlibs.txt`
    118 
    119 @COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_63 = -I`$(CYGPATH_W) $(SYMPHONYSRCDIR)/src`
    120 @COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_64 = $(SYMPHONYOBJDIR)/src/libSym.la
    121 @COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__append_65 = `cat $(SYMPHONYOBJDIR)/sym_addlibs.txt`
    122 @COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_66 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    123 @COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_67 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiVol
    124 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_68 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiVol`
    125 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_69 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la
    126 @COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_70 = -I`$(CYGPATH_W) $(VOLINSTDIR)/include/coin`
    127 @COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_71 = -L`$(CYGPATH_W) $(VOLINSTDIR)/lib` -lVol \
     111@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_57 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
     112@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_58 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiVol
     113@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_59 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiVol`
     114@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_60 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la
     115@COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_61 = -I`$(CYGPATH_W) $(VOLINSTDIR)/include/coin`
     116@COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@am__append_62 = -L`$(CYGPATH_W) $(VOLINSTDIR)/lib` -lVol \
    128117@COIN_HAS_VOL_PREINSTALLED_TRUE@@COIN_HAS_VOL_TRUE@     `cat $(VOLDOCDIR)/vol_addlibs.txt`
    129118
    130 @COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_72 = -I`$(CYGPATH_W) $(VOLSRCDIR)/src`
    131 @COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_73 = $(VOLOBJDIR)/src/libVol.la
    132 @COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_74 = `cat $(VOLOBJDIR)/vol_addlibs.txt`
    133 @COIN_HAS_XPR_TRUE@am__append_75 = -I`$(CYGPATH_W) $(XPRINCDIR)`
    134 @COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_XPR_TRUE@am__append_76 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    135 @COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_XPR_TRUE@am__append_77 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiXpr
    136 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__append_78 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiXpr`
    137 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__append_79 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
    138 @COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__append_80 = $(ASLINSTDIR)/lib/ThirdParty/$(ASLLIB)
    139 @COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__append_81 = -I$(ASLINSTDIR)/include/coin/ThirdParty -DCOIN_HAS_ASL
    140 @COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__append_82 = $(ASLOBJDIR)/$(ASLLIB)
    141 @COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__append_83 = -I`$(CYGPATH_W) $(ASLOBJDIR)` -I`$(CYGPATH_W) $(ASLSRCDIR)/solvers` -DCOIN_HAS_ASL
    142 @COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_84 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
    143 @COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_85 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsi \
     119@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_63 = -I`$(CYGPATH_W) $(VOLSRCDIR)/src`
     120@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_64 = $(VOLOBJDIR)/src/libVol.la
     121@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__append_65 = `cat $(VOLOBJDIR)/vol_addlibs.txt`
     122@COIN_HAS_XPR_TRUE@am__append_66 = -I`$(CYGPATH_W) $(XPRINCDIR)`
     123@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_XPR_TRUE@am__append_67 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
     124@COIN_HAS_OSI_PREINSTALLED_TRUE@@COIN_HAS_XPR_TRUE@am__append_68 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsiXpr
     125@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__append_69 = -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiXpr`
     126@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__append_70 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
     127@COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__append_71 = $(ASLINSTDIR)/lib/ThirdParty/$(ASLLIB)
     128@COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__append_72 = -I$(ASLINSTDIR)/include/coin/ThirdParty -DCOIN_HAS_ASL
     129@COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__append_73 = $(ASLOBJDIR)/$(ASLLIB)
     130@COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__append_74 = -I`$(CYGPATH_W) $(ASLOBJDIR)` -I`$(CYGPATH_W) $(ASLSRCDIR)/solvers` -DCOIN_HAS_ASL
     131@COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_75 = -I`$(CYGPATH_W) $(OSIINSTDIR)/include/coin`
     132@COIN_HAS_OSI_PREINSTALLED_TRUE@am__append_76 = -L`$(CYGPATH_W) $(OSIINSTDIR)/lib` -lOsi \
    144133@COIN_HAS_OSI_PREINSTALLED_TRUE@        `cat $(OSIDOCDIR)/osi_addlibs.txt`
    145134
    146 @COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_86 = -I`$(CYGPATH_W) $(OSISRCDIR)/src` \
     135@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_77 = -I`$(CYGPATH_W) $(OSISRCDIR)/src` \
    147136@COIN_HAS_OSI_PREINSTALLED_FALSE@       -I`$(CYGPATH_W) $(OSIOBJDIR)/inc`
    148137
    149 @COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_87 = $(OSIOBJDIR)/src/libOsi.la
    150 @COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_88 = `cat $(OSIOBJDIR)/osi_addlibs.txt`
    151 @COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_89 = -I`$(CYGPATH_W) $(COINUTILSINSTDIR)/include/coin`
    152 @COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_90 = -L`$(CYGPATH_W) $(COINUTILSINSTDIR)/lib` -lCoinUtils \
     138@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_78 = $(OSIOBJDIR)/src/libOsi.la
     139@COIN_HAS_OSI_PREINSTALLED_FALSE@am__append_79 = `cat $(OSIOBJDIR)/osi_addlibs.txt`
     140@COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_80 = -I`$(CYGPATH_W) $(COINUTILSINSTDIR)/include/coin`
     141@COIN_HAS_COINUTILS_PREINSTALLED_TRUE@am__append_81 = -L`$(CYGPATH_W) $(COINUTILSINSTDIR)/lib` -lCoinUtils \
    153142@COIN_HAS_COINUTILS_PREINSTALLED_TRUE@  `cat $(COINUTILSDOCDIR)/coinutils_addlibs.txt`
    154143
    155 @COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_91 = \
     144@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_82 = \
    156145@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@ -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
    157146@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@ -I`$(CYGPATH_W) $(COINUTILSOBJDIR)/inc`
    158147
    159 @COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_92 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
    160 @COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_93 = `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt`
     148@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_83 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
     149@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__append_84 = `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt`
    161150subdir = test
    162151DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
     
    187176@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_OSL_TRUE@am__DEPENDENCIES_11 = $(OSIOBJDIR)/src/OsiOsl/libOsiOsl.la
    188177@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SPX_TRUE@am__DEPENDENCIES_12 = $(OSIOBJDIR)/src/OsiSpx/libOsiSpx.la
    189 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__DEPENDENCIES_13 = $(OSIOBJDIR)/src/OsiSym/libOsiSym.la
    190 @COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@@COIN_HAS_SYMPHONY_TRUE@am__DEPENDENCIES_14 = $(SYMPHONYOBJDIR)/src/libSym.la
    191 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_15 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la
    192 @COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_16 = $(VOLOBJDIR)/src/libVol.la
    193 @COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__DEPENDENCIES_17 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
    194 @COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_18 = $(ASLINSTDIR)/lib/ThirdParty/$(ASLLIB)
    195 @COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_19 = $(ASLOBJDIR)/$(ASLLIB)
    196 @COIN_HAS_OSI_PREINSTALLED_FALSE@am__DEPENDENCIES_20 =  \
     178@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_13 = $(OSIOBJDIR)/src/OsiVol/libOsiVol.la
     179@COIN_HAS_VOL_PREINSTALLED_FALSE@@COIN_HAS_VOL_TRUE@am__DEPENDENCIES_14 = $(VOLOBJDIR)/src/libVol.la
     180@COIN_HAS_OSI_PREINSTALLED_FALSE@@COIN_HAS_XPR_TRUE@am__DEPENDENCIES_15 = $(OSIOBJDIR)/src/OsiXpr/libOsiXpr.la
     181@COIN_HAS_ASL_PREINSTALLED_TRUE@@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_16 = $(ASLINSTDIR)/lib/ThirdParty/$(ASLLIB)
     182@COIN_HAS_ASL_PREINSTALLED_FALSE@@COIN_HAS_ASL_TRUE@am__DEPENDENCIES_17 = $(ASLOBJDIR)/$(ASLLIB)
     183@COIN_HAS_OSI_PREINSTALLED_FALSE@am__DEPENDENCIES_18 =  \
    197184@COIN_HAS_OSI_PREINSTALLED_FALSE@       $(OSIOBJDIR)/src/libOsi.la
    198 @COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__DEPENDENCIES_21 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
     185@COIN_HAS_COINUTILS_PREINSTALLED_FALSE@am__DEPENDENCIES_19 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
    199186gamsTest_DEPENDENCIES = ../src/libCbcSolver.la ../src/libCbc.la \
    200187        $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2) \
     
    207194        $(am__DEPENDENCIES_15) $(am__DEPENDENCIES_16) \
    208195        $(am__DEPENDENCIES_17) $(am__DEPENDENCIES_18) \
    209         $(am__DEPENDENCIES_19) $(am__DEPENDENCIES_20) \
    210         $(am__DEPENDENCIES_21)
     196        $(am__DEPENDENCIES_19)
    211197DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/inc
    212198depcomp = $(SHELL) $(top_srcdir)/../depcomp
     
    336322COIN_HAS_SPX_FALSE = @COIN_HAS_SPX_FALSE@
    337323COIN_HAS_SPX_TRUE = @COIN_HAS_SPX_TRUE@
    338 COIN_HAS_SYMPHONY_FALSE = @COIN_HAS_SYMPHONY_FALSE@
    339 COIN_HAS_SYMPHONY_PREINSTALLED_FALSE = @COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@
    340 COIN_HAS_SYMPHONY_PREINSTALLED_TRUE = @COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@
    341 COIN_HAS_SYMPHONY_TRUE = @COIN_HAS_SYMPHONY_TRUE@
    342324COIN_HAS_VOL_FALSE = @COIN_HAS_VOL_FALSE@
    343325COIN_HAS_VOL_PREINSTALLED_FALSE = @COIN_HAS_VOL_PREINSTALLED_FALSE@
     
    401383        $(am__append_39) $(am__append_44) $(am__append_49) \
    402384        $(am__append_54) $(am__append_58) $(am__append_62) \
    403         $(am__append_65) $(am__append_67) $(am__append_71) \
    404         $(am__append_74) $(am__append_77) $(am__append_85) \
    405         $(am__append_88) $(am__append_90) $(am__append_93)
     385        $(am__append_65) $(am__append_68) $(am__append_76) \
     386        $(am__append_79) $(am__append_81) $(am__append_84)
    406387LIBTOOL = @LIBTOOL@
    407388LIBTOOLM4 = @LIBTOOLM4@
     
    451432SPXLIB = @SPXLIB@
    452433STRIP = @STRIP@
    453 SYMPHONYDATADIR = @SYMPHONYDATADIR@
    454 SYMPHONYDOCDIR = @SYMPHONYDOCDIR@
    455 SYMPHONYINSTDIR = @SYMPHONYINSTDIR@
    456 SYMPHONYOBJDIR = @SYMPHONYOBJDIR@
    457 SYMPHONYSRCDIR = @SYMPHONYSRCDIR@
    458434VERSION = @VERSION@
    459435VOLDATADIR = @VOLDATADIR@
     
    532508        $(am__append_35) $(am__append_37) $(am__append_41) \
    533509        $(am__append_46) $(am__append_51) $(am__append_56) \
    534         $(am__append_60) $(am__append_64) $(am__append_69) \
    535         $(am__append_73) $(am__append_79) $(am__append_80) \
    536         $(am__append_82) $(am__append_87) $(am__append_92)
     510        $(am__append_60) $(am__append_64) $(am__append_70) \
     511        $(am__append_71) $(am__append_73) $(am__append_78) \
     512        $(am__append_83)
    537513AM_CPPFLAGS = -I`$(CYGPATH_W) $(srcdir)/../src` $(am__append_9) \
    538514        $(am__append_11) $(am__append_13) $(am__append_15) \
     
    545521        $(am__append_53) $(am__append_55) $(am__append_57) \
    546522        $(am__append_59) $(am__append_61) $(am__append_63) \
    547         $(am__append_66) $(am__append_68) $(am__append_70) \
    548         $(am__append_72) $(am__append_75) $(am__append_76) \
    549         $(am__append_78) $(am__append_81) $(am__append_83) \
    550         $(am__append_84) $(am__append_86) $(am__append_89) \
    551         $(am__append_91)
     523        $(am__append_66) $(am__append_67) $(am__append_69) \
     524        $(am__append_72) $(am__append_74) $(am__append_75) \
     525        $(am__append_77) $(am__append_80) $(am__append_82)
    552526gamsTest_LDFLAGS = -rpath $(libdir)
    553527
  • stable/BSPsplit/Makefile.in

    r1206 r1208  
    190190COIN_HAS_SAMPLE_PREINSTALLED_TRUE = @COIN_HAS_SAMPLE_PREINSTALLED_TRUE@
    191191COIN_HAS_SAMPLE_TRUE = @COIN_HAS_SAMPLE_TRUE@
    192 COIN_HAS_SYMPHONY_FALSE = @COIN_HAS_SYMPHONY_FALSE@
    193 COIN_HAS_SYMPHONY_PREINSTALLED_FALSE = @COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@
    194 COIN_HAS_SYMPHONY_PREINSTALLED_TRUE = @COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@
    195 COIN_HAS_SYMPHONY_TRUE = @COIN_HAS_SYMPHONY_TRUE@
    196192COIN_HAS_VOL_FALSE = @COIN_HAS_VOL_FALSE@
    197193COIN_HAS_VOL_PREINSTALLED_FALSE = @COIN_HAS_VOL_PREINSTALLED_FALSE@
     
    293289SHELL = @SHELL@
    294290STRIP = @STRIP@
    295 SYMPHONYDATADIR = @SYMPHONYDATADIR@
    296 SYMPHONYDOCDIR = @SYMPHONYDOCDIR@
    297 SYMPHONYINSTDIR = @SYMPHONYINSTDIR@
    298 SYMPHONYOBJDIR = @SYMPHONYOBJDIR@
    299 SYMPHONYSRCDIR = @SYMPHONYSRCDIR@
    300291VERSION = @VERSION@
    301292VOLDATADIR = @VOLDATADIR@
  • stable/BSPsplit/configure

    r1207 r1208  
    488488ac_subdirs_all="$ac_subdirs_all Cgl"
    489489ac_subdirs_all="$ac_subdirs_all Cbc"
    490 ac_subdirs_all="$ac_subdirs_all SYMPHONY"
    491 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_SKIP_PROJECTS COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COINUTILSDATADIR COINUTILSINSTDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE COIN_HAS_COINUTILS_PREINSTALLED_TRUE COIN_HAS_COINUTILS_PREINSTALLED_FALSE subdirs NETLIBSRCDIR NETLIBOBJDIR NETLIBDOCDIR NETLIBDATADIR NETLIBINSTDIR COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_NETLIB_PREINSTALLED_TRUE COIN_HAS_NETLIB_PREINSTALLED_FALSE SAMPLESRCDIR SAMPLEOBJDIR SAMPLEDOCDIR SAMPLEDATADIR SAMPLEINSTDIR COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE COIN_HAS_SAMPLE_PREINSTALLED_TRUE COIN_HAS_SAMPLE_PREINSTALLED_FALSE MIPLIB3SRCDIR MIPLIB3OBJDIR MIPLIB3DOCDIR MIPLIB3DATADIR MIPLIB3INSTDIR COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE COIN_HAS_MIPLIB3_PREINSTALLED_TRUE COIN_HAS_MIPLIB3_PREINSTALLED_FALSE ASLSRCDIR ASLOBJDIR ASLDOCDIR ASLDATADIR ASLINSTDIR COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE COIN_HAS_ASL_PREINSTALLED_TRUE COIN_HAS_ASL_PREINSTALLED_FALSE BLASSRCDIR BLASOBJDIR BLASDOCDIR BLASDATADIR BLASINSTDIR COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_BLAS_PREINSTALLED_TRUE COIN_HAS_BLAS_PREINSTALLED_FALSE LAPACKSRCDIR LAPACKOBJDIR LAPACKDOCDIR LAPACKDATADIR LAPACKINSTDIR COIN_HAS_LAPACK_TRUE COIN_HAS_LAPACK_FALSE COIN_HAS_LAPACK_PREINSTALLED_TRUE COIN_HAS_LAPACK_PREINSTALLED_FALSE GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR GLPKDATADIR GLPKINSTDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE COIN_HAS_GLPK_PREINSTALLED_TRUE COIN_HAS_GLPK_PREINSTALLED_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR CLPDATADIR CLPINSTDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COIN_HAS_CLP_PREINSTALLED_TRUE COIN_HAS_CLP_PREINSTALLED_FALSE DYLPSRCDIR DYLPOBJDIR DYLPDOCDIR DYLPDATADIR DYLPINSTDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE COIN_HAS_DYLP_PREINSTALLED_TRUE COIN_HAS_DYLP_PREINSTALLED_FALSE VOLSRCDIR VOLOBJDIR VOLDOCDIR VOLDATADIR VOLINSTDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE COIN_HAS_VOL_PREINSTALLED_TRUE COIN_HAS_VOL_PREINSTALLED_FALSE OSISRCDIR OSIOBJDIR OSIDOCDIR OSIDATADIR OSIINSTDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE COIN_HAS_OSI_PREINSTALLED_TRUE COIN_HAS_OSI_PREINSTALLED_FALSE CGLSRCDIR CGLOBJDIR CGLDOCDIR CGLDATADIR CGLINSTDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE COIN_HAS_CGL_PREINSTALLED_TRUE COIN_HAS_CGL_PREINSTALLED_FALSE CBCSRCDIR CBCOBJDIR CBCDOCDIR CBCDATADIR CBCINSTDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE COIN_HAS_CBC_PREINSTALLED_TRUE COIN_HAS_CBC_PREINSTALLED_FALSE SYMPHONYSRCDIR SYMPHONYOBJDIR SYMPHONYDOCDIR SYMPHONYDATADIR SYMPHONYINSTDIR COIN_HAS_SYMPHONY_TRUE COIN_HAS_SYMPHONY_FALSE COIN_HAS_SYMPHONY_PREINSTALLED_TRUE COIN_HAS_SYMPHONY_PREINSTALLED_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     490ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_SKIP_PROJECTS COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COINUTILSDATADIR COINUTILSINSTDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE COIN_HAS_COINUTILS_PREINSTALLED_TRUE COIN_HAS_COINUTILS_PREINSTALLED_FALSE subdirs NETLIBSRCDIR NETLIBOBJDIR NETLIBDOCDIR NETLIBDATADIR NETLIBINSTDIR COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_NETLIB_PREINSTALLED_TRUE COIN_HAS_NETLIB_PREINSTALLED_FALSE SAMPLESRCDIR SAMPLEOBJDIR SAMPLEDOCDIR SAMPLEDATADIR SAMPLEINSTDIR COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE COIN_HAS_SAMPLE_PREINSTALLED_TRUE COIN_HAS_SAMPLE_PREINSTALLED_FALSE MIPLIB3SRCDIR MIPLIB3OBJDIR MIPLIB3DOCDIR MIPLIB3DATADIR MIPLIB3INSTDIR COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE COIN_HAS_MIPLIB3_PREINSTALLED_TRUE COIN_HAS_MIPLIB3_PREINSTALLED_FALSE ASLSRCDIR ASLOBJDIR ASLDOCDIR ASLDATADIR ASLINSTDIR COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE COIN_HAS_ASL_PREINSTALLED_TRUE COIN_HAS_ASL_PREINSTALLED_FALSE BLASSRCDIR BLASOBJDIR BLASDOCDIR BLASDATADIR BLASINSTDIR COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_BLAS_PREINSTALLED_TRUE COIN_HAS_BLAS_PREINSTALLED_FALSE LAPACKSRCDIR LAPACKOBJDIR LAPACKDOCDIR LAPACKDATADIR LAPACKINSTDIR COIN_HAS_LAPACK_TRUE COIN_HAS_LAPACK_FALSE COIN_HAS_LAPACK_PREINSTALLED_TRUE COIN_HAS_LAPACK_PREINSTALLED_FALSE GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR GLPKDATADIR GLPKINSTDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE COIN_HAS_GLPK_PREINSTALLED_TRUE COIN_HAS_GLPK_PREINSTALLED_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR CLPDATADIR CLPINSTDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COIN_HAS_CLP_PREINSTALLED_TRUE COIN_HAS_CLP_PREINSTALLED_FALSE DYLPSRCDIR DYLPOBJDIR DYLPDOCDIR DYLPDATADIR DYLPINSTDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE COIN_HAS_DYLP_PREINSTALLED_TRUE COIN_HAS_DYLP_PREINSTALLED_FALSE VOLSRCDIR VOLOBJDIR VOLDOCDIR VOLDATADIR VOLINSTDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE COIN_HAS_VOL_PREINSTALLED_TRUE COIN_HAS_VOL_PREINSTALLED_FALSE OSISRCDIR OSIOBJDIR OSIDOCDIR OSIDATADIR OSIINSTDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE COIN_HAS_OSI_PREINSTALLED_TRUE COIN_HAS_OSI_PREINSTALLED_FALSE CGLSRCDIR CGLOBJDIR CGLDOCDIR CGLDATADIR CGLINSTDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE COIN_HAS_CGL_PREINSTALLED_TRUE COIN_HAS_CGL_PREINSTALLED_FALSE CBCSRCDIR CBCOBJDIR CBCDOCDIR CBCDATADIR CBCINSTDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE COIN_HAS_CBC_PREINSTALLED_TRUE COIN_HAS_CBC_PREINSTALLED_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    492491ac_subst_files=''
    493492
     
    12101209  --with-cbc-objdir object directory for Cbc package (if different from source
    12111210                          directory in VPATH compilation)
    1212   --with-symphony-instdir prefix of installation directory for precompiled
    1213                           SYMPHONY package
    1214   --with-symphony-srcdir source directory for SYMPHONY package
    1215   --with-symphony-objdir object directory for SYMPHONY package (if different
    1216                           from source directory in VPATH compilation)
    12171211
    12181212Some influential environment variables:
     
    42504244
    42514245# Provide some information about the compiler.
    4252 echo "$as_me:4252:" \
     4246echo "$as_me:4246:" \
    42534247     "checking for Fortran 77 compiler version" >&5
    42544248ac_compiler=`set X $ac_compile; echo $2`
     
    65096503*-*-irix6*)
    65106504  # Find out which ABI we are using.
    6511   echo '#line 6511 "configure"' > conftest.$ac_ext
     6505  echo '#line 6505 "configure"' > conftest.$ac_ext
    65126506  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    65136507  (eval $ac_compile) 2>&5
     
    84738467   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84748468   -e 's:$: $lt_compiler_flag:'`
    8475    (eval echo "\"\$as_me:8475: $lt_compile\"" >&5)
     8469   (eval echo "\"\$as_me:8469: $lt_compile\"" >&5)
    84768470   (eval "$lt_compile" 2>conftest.err)
    84778471   ac_status=$?
    84788472   cat conftest.err >&5
    8479    echo "$as_me:8479: \$? = $ac_status" >&5
     8473   echo "$as_me:8473: \$? = $ac_status" >&5
    84808474   if (exit $ac_status) && test -s "$ac_outfile"; then
    84818475     # The compiler can only warn and ignore the option if not recognized
     
    87418735   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87428736   -e 's:$: $lt_compiler_flag:'`
    8743    (eval echo "\"\$as_me:8743: $lt_compile\"" >&5)
     8737   (eval echo "\"\$as_me:8737: $lt_compile\"" >&5)
    87448738   (eval "$lt_compile" 2>conftest.err)
    87458739   ac_status=$?
    87468740   cat conftest.err >&5
    8747    echo "$as_me:8747: \$? = $ac_status" >&5
     8741   echo "$as_me:8741: \$? = $ac_status" >&5
    87488742   if (exit $ac_status) && test -s "$ac_outfile"; then
    87498743     # The compiler can only warn and ignore the option if not recognized
     
    88458839   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88468840   -e 's:$: $lt_compiler_flag:'`
    8847    (eval echo "\"\$as_me:8847: $lt_compile\"" >&5)
     8841   (eval echo "\"\$as_me:8841: $lt_compile\"" >&5)
    88488842   (eval "$lt_compile" 2>out/conftest.err)
    88498843   ac_status=$?
    88508844   cat out/conftest.err >&5
    8851    echo "$as_me:8851: \$? = $ac_status" >&5
     8845   echo "$as_me:8845: \$? = $ac_status" >&5
    88528846   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    88538847   then
     
    1119011184  lt_status=$lt_dlunknown
    1119111185  cat > conftest.$ac_ext <<EOF
    11192 #line 11192 "configure"
     11186#line 11186 "configure"
    1119311187#include "confdefs.h"
    1119411188
     
    1129011284  lt_status=$lt_dlunknown
    1129111285  cat > conftest.$ac_ext <<EOF
    11292 #line 11292 "configure"
     11286#line 11286 "configure"
    1129311287#include "confdefs.h"
    1129411288
     
    1363413628   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1363513629   -e 's:$: $lt_compiler_flag:'`
    13636    (eval echo "\"\$as_me:13636: $lt_compile\"" >&5)
     13630   (eval echo "\"\$as_me:13630: $lt_compile\"" >&5)
    1363713631   (eval "$lt_compile" 2>conftest.err)
    1363813632   ac_status=$?
    1363913633   cat conftest.err >&5
    13640    echo "$as_me:13640: \$? = $ac_status" >&5
     13634   echo "$as_me:13634: \$? = $ac_status" >&5
    1364113635   if (exit $ac_status) && test -s "$ac_outfile"; then
    1364213636     # The compiler can only warn and ignore the option if not recognized
     
    1373813732   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1373913733   -e 's:$: $lt_compiler_flag:'`
    13740    (eval echo "\"\$as_me:13740: $lt_compile\"" >&5)
     13734   (eval echo "\"\$as_me:13734: $lt_compile\"" >&5)
    1374113735   (eval "$lt_compile" 2>out/conftest.err)
    1374213736   ac_status=$?
    1374313737   cat out/conftest.err >&5
    13744    echo "$as_me:13744: \$? = $ac_status" >&5
     13738   echo "$as_me:13738: \$? = $ac_status" >&5
    1374513739   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1374613740   then
     
    1530815302   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530915303   -e 's:$: $lt_compiler_flag:'`
    15310    (eval echo "\"\$as_me:15310: $lt_compile\"" >&5)
     15304   (eval echo "\"\$as_me:15304: $lt_compile\"" >&5)
    1531115305   (eval "$lt_compile" 2>conftest.err)
    1531215306   ac_status=$?
    1531315307   cat conftest.err >&5
    15314    echo "$as_me:15314: \$? = $ac_status" >&5
     15308   echo "$as_me:15308: \$? = $ac_status" >&5
    1531515309   if (exit $ac_status) && test -s "$ac_outfile"; then
    1531615310     # The compiler can only warn and ignore the option if not recognized
     
    1541215406   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1541315407   -e 's:$: $lt_compiler_flag:'`
    15414    (eval echo "\"\$as_me:15414: $lt_compile\"" >&5)
     15408   (eval echo "\"\$as_me:15408: $lt_compile\"" >&5)
    1541515409   (eval "$lt_compile" 2>out/conftest.err)
    1541615410   ac_status=$?
    1541715411   cat out/conftest.err >&5
    15418    echo "$as_me:15418: \$? = $ac_status" >&5
     15412   echo "$as_me:15412: \$? = $ac_status" >&5
    1541915413   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1542015414   then
     
    1761917613   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1762017614   -e 's:$: $lt_compiler_flag:'`
    17621    (eval echo "\"\$as_me:17621: $lt_compile\"" >&5)
     17615   (eval echo "\"\$as_me:17615: $lt_compile\"" >&5)
    1762217616   (eval "$lt_compile" 2>conftest.err)
    1762317617   ac_status=$?
    1762417618   cat conftest.err >&5
    17625    echo "$as_me:17625: \$? = $ac_status" >&5
     17619   echo "$as_me:17619: \$? = $ac_status" >&5
    1762617620   if (exit $ac_status) && test -s "$ac_outfile"; then
    1762717621     # The compiler can only warn and ignore the option if not recognized
     
    1788717881   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788817882   -e 's:$: $lt_compiler_flag:'`
    17889    (eval echo "\"\$as_me:17889: $lt_compile\"" >&5)
     17883   (eval echo "\"\$as_me:17883: $lt_compile\"" >&5)
    1789017884   (eval "$lt_compile" 2>conftest.err)
    1789117885   ac_status=$?
    1789217886   cat conftest.err >&5
    17893    echo "$as_me:17893: \$? = $ac_status" >&5
     17887   echo "$as_me:17887: \$? = $ac_status" >&5
    1789417888   if (exit $ac_status) && test -s "$ac_outfile"; then
    1789517889     # The compiler can only warn and ignore the option if not recognized
     
    1799117985   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1799217986   -e 's:$: $lt_compiler_flag:'`
    17993    (eval echo "\"\$as_me:17993: $lt_compile\"" >&5)
     17987   (eval echo "\"\$as_me:17987: $lt_compile\"" >&5)
    1799417988   (eval "$lt_compile" 2>out/conftest.err)
    1799517989   ac_status=$?
    1799617990   cat out/conftest.err >&5
    17997    echo "$as_me:17997: \$? = $ac_status" >&5
     17991   echo "$as_me:17991: \$? = $ac_status" >&5
    1799817992   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1799917993   then
     
    2435424348
    2435524349
    24356 
    24357 # AC_COIN_HAS_PROJECT also checks whether  is available in /SYMPHONY, if not it sets coin_has... to notGiven
    24358 echo "$as_me:$LINENO: checking for COIN project SYMPHONY in " >&5
    24359 echo $ECHO_N "checking for COIN project SYMPHONY in ... $ECHO_C" >&6
    24360 # First check, if the sub-project is actually available (ToDo: allow
    24361 # other locations)
    24362 
    24363 #replace backslashes by underscore
    24364 #m4_define([escape], m4_bpatsubsts([SYMPHONY],[/],[_]))
    24365 
    24366 coin_has_symphony=notGiven
    24367 if test x"$COIN_SKIP_PROJECTS" != x; then
    24368   for dir in $COIN_SKIP_PROJECTS; do
    24369     if test $dir = SYMPHONY; then
    24370       coin_has_symphony=skipping
    24371     fi
    24372   done
    24373 fi
    24374 
    24375 
    24376 
    24377 
    24378 
    24379 
    24380 SYMPHONYSRCDIR=This_Variable_Is_Not_Set
    24381 SYMPHONYOBJDIR=This_Variable_Is_Not_Set
    24382 SYMPHONYDOCDIR=This_Variable_Is_Not_Set
    24383 SYMPHONYDATADIR=This_Variable_Is_Not_Set
    24384 SYMPHONYINSTDIR=This_Variable_Is_Not_Set
    24385 
    24386 if test $coin_has_symphony != skipping; then
    24387   if test $PACKAGE_TARNAME = symphony; then
    24388     coin_has_symphony=.
    24389   else
    24390 
    24391 # Check whether --with-m4_tolower(SYMPHONY)-instdir or --without-m4_tolower(SYMPHONY)-instdir was given.
    24392 if test "${with_symphony_instdir+set}" = set; then
    24393   withval="$with_symphony_instdir"
    24394   coin_has_symphony=installed
    24395                  if test -d "$withval"; then : ; else
    24396                    { { echo "$as_me:$LINENO: error: argument for --with-symphony-instdir not a directory" >&5
    24397 echo "$as_me: error: argument for --with-symphony-instdir not a directory" >&2;}
    24398    { (exit 1); exit 1; }; }
    24399                  fi
    24400                  SYMPHONYINSTDIR=`cd $withval; pwd`
    24401 fi;
    24402 
    24403 
    24404 # Check whether --with-m4_tolower(SYMPHONY)-srcdir or --without-m4_tolower(SYMPHONY)-srcdir was given.
    24405 if test "${with_symphony_srcdir+set}" = set; then
    24406   withval="$with_symphony_srcdir"
    24407   if test "$coin_has_symphony" = installed; then
    24408                    { { echo "$as_me:$LINENO: error: --with-$symphony-srcdir cannot be given together with --with-symphony-instdir" >&5
    24409 echo "$as_me: error: --with-$symphony-srcdir cannot be given together with --with-symphony-instdir" >&2;}
    24410    { (exit 1); exit 1; }; }
    24411                  fi
    24412                  if test -d "$withval"; then : ; else
    24413                    { { echo "$as_me:$LINENO: error: argument for --with-symphony-srcdir not a directory" >&5
    24414 echo "$as_me: error: argument for --with-symphony-srcdir not a directory" >&2;}
    24415    { (exit 1); exit 1; }; }
    24416                  fi
    24417                  coin_has_symphony=$withval
    24418                  SYMPHONYSRCDIR=`cd $withval; pwd`
    24419 fi;
    24420 
    24421 
    24422 # Check whether --with-m4_tolower(SYMPHONY)-objdir or --without-m4_tolower(SYMPHONY)-objdir was given.
    24423 if test "${with_symphony_objdir+set}" = set; then
    24424   withval="$with_symphony_objdir"
    24425   if test "$coin_has_symphony" = installed; then
    24426                    { { echo "$as_me:$LINENO: error: --with-symphony-objdir cannot be given together with --with-symphony-instdir" >&5
    24427 echo "$as_me: error: --with-symphony-objdir cannot be given together with --with-symphony-instdir" >&2;}
    24428    { (exit 1); exit 1; }; }
    24429                  fi
    24430                  if test "$coin_has_symphony" = notGiven; then
    24431                    { { echo "$as_me:$LINENO: error: --with-symphony-objdir must be accompanied by --with-symphony-srcdir" >&5
    24432 echo "$as_me: error: --with-symphony-objdir must be accompanied by --with-symphony-srcdir" >&2;}
    24433    { (exit 1); exit 1; }; }
    24434                  fi
    24435                  if test -d "$withval"; then : ; else
    24436                    { { echo "$as_me:$LINENO: error: argument for --with-symphony-objdir not a directory" >&5
    24437 echo "$as_me: error: argument for --with-symphony-objdir not a directory" >&2;}
    24438    { (exit 1); exit 1; }; }
    24439                  fi
    24440                  SYMPHONYOBJDIR=`cd $withval; pwd`
    24441 else
    24442   SYMPHONYOBJDIR="$SYMPHONYSRCDIR"
    24443 fi;
    24444 
    24445     # if we still don't have a location, check for generic flag
    24446     if test "$coin_has_symphony" = notGiven; then
    24447 
    24448 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    24449 if test "${with_coin_instdir+set}" = set; then
    24450   withval="$with_coin_instdir"
    24451   if test -d "$withval"; then : ; else
    24452                      { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    24453 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    24454    { (exit 1); exit 1; }; }
    24455                    fi
    24456                    if test -r $withval/share/doc/coin/SYMPHONY/README;
    24457 
    24458                    then
    24459                      coin_has_symphony=installed
    24460                      SYMPHONYINSTDIR=`cd $withval; pwd`
    24461                    fi
    24462 fi;
    24463     fi
    24464 
    24465     # check if project can be found in /SYMPHONY
    24466     # this is for the classic setup when this macro is called from AC_COIN_MAIN_SUBDIR
    24467     fulldir=SYMPHONY
    24468 
    24469     if test "$coin_has_symphony" = notGiven; then
    24470       if test -d $srcdir/$fulldir; then
    24471          coin_has_symphony=$fulldir
    24472 
    24473 
    24474       fi
    24475     fi
    24476 
    24477     # check if project can be found in ..//SYMPHONY
    24478     # this is for the classic setup when this macro is called from the project main directory
    24479     fulldir=../SYMPHONY
    24480 
    24481     if test "$coin_has_symphony" = notGiven; then
    24482       if test -d $srcdir/$fulldir; then
    24483          coin_has_symphony=$fulldir
    24484 
    24485 
    24486       fi
    24487     fi
    24488   fi
    24489 fi
    24490 
    24491 if test $coin_has_symphony != notGiven &&
    24492    test $coin_has_symphony != skipping; then
    24493   # Set the #define if the component is available
    24494 
    24495 cat >>confdefs.h <<\_ACEOF
    24496 #define COIN_HAS_SYMPHONY 1
    24497 _ACEOF
    24498 
    24499 
    24500   if test $coin_has_symphony = installed; then
    24501     SYMPHONYDOCDIR=$SYMPHONYINSTDIR/share/doc/coin/SYMPHONY
    24502        SYMPHONYDATADIR=$SYMPHONYINSTDIR/share/coin/SYMPHONY
    24503 
    24504   else
    24505     if test "$SYMPHONYOBJDIR" = This_Variable_Is_Not_Set; then
    24506       # Set the variables for source and object code location
    24507       SYMPHONYSRCDIR=`cd $srcdir/$coin_has_symphony; pwd`
    24508       SYMPHONYOBJDIR=`pwd`/$coin_has_symphony
    24509       SYMPHONYDOCDIR=$abs_lib_dir/../share/doc/coin/SYMPHONY
    24510 
    24511       SYMPHONYDATADIR=$SYMPHONYOBJDIR
    24512     else
    24513       # This is just a guess:
    24514       SYMPHONYDOCDIR=$SYMPHONYOBJDIR/../share/doc/coin/SYMPHONY
    24515          SYMPHONYDATADIR=$SYMPHONYOBJDIR/../share/coin/SYMPHONY
    24516 
    24517     fi
    24518   fi
    24519 fi
    24520 
    24521 # Define the Makefile conditional
    24522 
    24523 
    24524 if test $coin_has_symphony != notGiven &&
    24525                 test $coin_has_symphony != skipping; then
    24526   COIN_HAS_SYMPHONY_TRUE=
    24527   COIN_HAS_SYMPHONY_FALSE='#'
    24528 else
    24529   COIN_HAS_SYMPHONY_TRUE='#'
    24530   COIN_HAS_SYMPHONY_FALSE=
    24531 fi
    24532 
    24533 
    24534 
    24535 if test $coin_has_symphony = installed; then
    24536   COIN_HAS_SYMPHONY_PREINSTALLED_TRUE=
    24537   COIN_HAS_SYMPHONY_PREINSTALLED_FALSE='#'
    24538 else
    24539   COIN_HAS_SYMPHONY_PREINSTALLED_TRUE='#'
    24540   COIN_HAS_SYMPHONY_PREINSTALLED_FALSE=
    24541 fi
    24542 
    24543 
    24544 if test $coin_has_symphony = installed; then
    24545   echo "$as_me:$LINENO: result: installed in $SYMPHONYINSTDIR" >&5
    24546 echo "${ECHO_T}installed in $SYMPHONYINSTDIR" >&6
    24547   if test -r $SYMPHONYINSTDIR/share/doc/coin/SYMPHONY/README; then
    24548 
    24549   :
    24550 else
    24551   { { echo "$as_me:$LINENO: error: $SYMPHONYINSTDIR/share/doc/coin/SYMPHONY/README should be available if SYMPHONY is installed" >&5
    24552 echo "$as_me: error: $SYMPHONYINSTDIR/share/doc/coin/SYMPHONY/README should be available if SYMPHONY is installed" >&2;}
    24553    { (exit 1); exit 1; }; }
    24554   :
    24555 fi
    24556 
    24557 
    24558 
    24559 else
    24560   echo "$as_me:$LINENO: result: $coin_has_symphony" >&5
    24561 echo "${ECHO_T}$coin_has_symphony" >&6
    24562   if test $coin_has_symphony != notGiven &&
    24563      test $coin_has_symphony != skipping; then
    24564     echo "$as_me:$LINENO: checking for source code location of SYMPHONY" >&5
    24565 echo $ECHO_N "checking for source code location of SYMPHONY... $ECHO_C" >&6
    24566     echo "$as_me:$LINENO: result: $SYMPHONYSRCDIR" >&5
    24567 echo "${ECHO_T}$SYMPHONYSRCDIR" >&6
    24568     echo "$as_me:$LINENO: checking for object code location of SYMPHONY" >&5
    24569 echo $ECHO_N "checking for object code location of SYMPHONY... $ECHO_C" >&6
    24570     echo "$as_me:$LINENO: result: $SYMPHONYOBJDIR" >&5
    24571 echo "${ECHO_T}$SYMPHONYOBJDIR" >&6
    24572   fi
    24573 fi
    24574 
    24575 echo "$as_me:$LINENO: checking whether project SYMPHONY need to be configured" >&5
    24576 echo $ECHO_N "checking whether project SYMPHONY need to be configured... $ECHO_C" >&6
    24577 if test "$coin_has_symphony" != skipping &&
    24578    test "$coin_has_symphony" != notGiven &&
    24579    test "$coin_has_symphony" != installed; then
    24580 
    24581   projfulldir=SYMPHONY
    24582 
    24583   if test -r $srcdir/$projfulldir/configure; then
    24584     coin_subdirs="$coin_subdirs $projfulldir"
    24585     echo "$as_me:$LINENO: result: yes" >&5
    24586 echo "${ECHO_T}yes" >&6
    24587 
    24588 
    24589 subdirs="$subdirs SYMPHONY"
    24590 
    24591 
    24592   else
    24593     echo "$as_me:$LINENO: result: no" >&5
    24594 echo "${ECHO_T}no" >&6
    24595   fi
    24596 else
    24597   echo "$as_me:$LINENO: result: no" >&5
    24598 echo "${ECHO_T}no" >&6
    24599 fi
    24600 
    24601 
    2460224350##############################################################################
    2460324351#                   Finishing up by writing all the output                   #
     
    2501724765Usually this means the macro was only invoked conditionally." >&5
    2501824766echo "$as_me: error: conditional \"COIN_HAS_CBC_PREINSTALLED\" was never defined.
    25019 Usually this means the macro was only invoked conditionally." >&2;}
    25020    { (exit 1); exit 1; }; }
    25021 fi
    25022 if test -z "${COIN_HAS_SYMPHONY_TRUE}" && test -z "${COIN_HAS_SYMPHONY_FALSE}"; then
    25023   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_SYMPHONY\" was never defined.
    25024 Usually this means the macro was only invoked conditionally." >&5
    25025 echo "$as_me: error: conditional \"COIN_HAS_SYMPHONY\" was never defined.
    25026 Usually this means the macro was only invoked conditionally." >&2;}
    25027    { (exit 1); exit 1; }; }
    25028 fi
    25029 if test -z "${COIN_HAS_SYMPHONY_PREINSTALLED_TRUE}" && test -z "${COIN_HAS_SYMPHONY_PREINSTALLED_FALSE}"; then
    25030   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_SYMPHONY_PREINSTALLED\" was never defined.
    25031 Usually this means the macro was only invoked conditionally." >&5
    25032 echo "$as_me: error: conditional \"COIN_HAS_SYMPHONY_PREINSTALLED\" was never defined.
    2503324767Usually this means the macro was only invoked conditionally." >&2;}
    2503424768   { (exit 1); exit 1; }; }
     
    2578625520s,@COIN_HAS_CBC_PREINSTALLED_TRUE@,$COIN_HAS_CBC_PREINSTALLED_TRUE,;t t
    2578725521s,@COIN_HAS_CBC_PREINSTALLED_FALSE@,$COIN_HAS_CBC_PREINSTALLED_FALSE,;t t
    25788 s,@SYMPHONYSRCDIR@,$SYMPHONYSRCDIR,;t t
    25789 s,@SYMPHONYOBJDIR@,$SYMPHONYOBJDIR,;t t
    25790 s,@SYMPHONYDOCDIR@,$SYMPHONYDOCDIR,;t t
    25791 s,@SYMPHONYDATADIR@,$SYMPHONYDATADIR,;t t
    25792 s,@SYMPHONYINSTDIR@,$SYMPHONYINSTDIR,;t t
    25793 s,@COIN_HAS_SYMPHONY_TRUE@,$COIN_HAS_SYMPHONY_TRUE,;t t
    25794 s,@COIN_HAS_SYMPHONY_FALSE@,$COIN_HAS_SYMPHONY_FALSE,;t t
    25795 s,@COIN_HAS_SYMPHONY_PREINSTALLED_TRUE@,$COIN_HAS_SYMPHONY_PREINSTALLED_TRUE,;t t
    25796 s,@COIN_HAS_SYMPHONY_PREINSTALLED_FALSE@,$COIN_HAS_SYMPHONY_PREINSTALLED_FALSE,;t t
    2579725522s,@LIBEXT@,$LIBEXT,;t t
    2579825523s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
  • stable/BSPsplit/configure.ac

    r1206 r1208  
    6666AC_COIN_MAIN_SUBDIR(Cgl)
    6767AC_COIN_MAIN_SUBDIR(Cbc)
    68 AC_COIN_MAIN_SUBDIR(SYMPHONY)
    6968
    7069##############################################################################
Note: See TracChangeset for help on using the changeset viewer.